snap-1.1.3.0: Top-level package for the Snap Web Framework

Safe Haskell | None
Language | Haskell98

Snap.Snaplet.Session.Backends.CookieSession

Synopsis

- initCookieSessionManager :: FilePath -> ByteString -> Maybe ByteString -> Maybe Int -> SnapletInit b SessionManager

# Documentation

initCookieSessionManager Source #

Arguments

:: FilePath | Path to site-wide encryption key
-> ByteString | Session cookie name
-> Maybe ByteString | Session cookie domain
-> Maybe Int | Session time-out (replay attack protection)
-> SnapletInit b SessionManager |

Initialize a cookie-backed session, returning a `SessionManager` to be stuffed inside your application's state. This `SessionManager` will enable the use of all session storage functionality defined in `Session`